<h1> {{ title | titlecase }} Demo </h1>

<table>
  <tr>
    <th>Date</th>
    <td>
      <input type="date" name="date" 
        [ngModel]="fmtDate(date)"
        (ngModelChange)="onDateChanged($event)"
        />
        (date: {{date | date:'yyyy-MM-dd'}}, time: {{date | date:'HH:mm:ss,SSS'}})
    </td>
  </tr>
  <tr>
    <th>Negative</th>
    <td>
      <input type="checkbox" [(ngModel)]="negative" >
      (<em>{{negative ? 'Backwards' : 'Forwards'}}</em>)
    </td>
  </tr>
  <tr>
    <th>Offset</th>
    <td>
      <input type="range" name="offset" [(ngModel)]="offset" 
          [min]="0" [max]="42" [step]="1"
          />
          ({{offset | number:'1.0-0'}})
    </td>
  </tr>
  <tr>
    <th>Result</th>
    <td>
      {{ nextDate(date, offset) | date:'MMMM d, yyyy':'CET':'en'}}
    </td>
  </tr>
</table>
